FROM nginx:alpine

RUN apk add git \
    && apk add python3 py3-pip

ENV GIT_REPO_URL='' \
    GIT_REPO_NAME=''

RUN mkdir /mkdocs
WORKDIR /mkdocs

RUN pip install --upgrade pip

RUN pip install pymdown-extensions \
    && pip install mkdocs \
    && pip install mkdocs-material

COPY root /etc/crontabs/root
COPY git-mkdocs /bin/git-mkdocs
RUN chmod 744 /bin/git-mkdocs

RUN touch /docker-entrypoint.d/cron.sh \
    && echo "exec crond" > /docker-entrypoint.d/cron.sh \
    && chmod 776 /docker-entrypoint.d/cron.sh